Last Comment Bug 8232 - Changing Prefs50 file to handle Widget mode causes Browser blank
: Changing Prefs50 file to handle Widget mode causes Browser blank
Status: VERIFIED DUPLICATE of bug 8410
:
Product: Core
Classification: Components
Component: Layout: Form Controls (show other bugs)
: Trunk
: x86 Windows NT
: P2 major (vote)
: M8
Assigned To: buster
: Teruko Kobayashi
: Jet Villegas (:jet)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-15 14:59 PDT by Teruko Kobayashi
Modified: 1999-06-23 14:47 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Teruko Kobayashi 1999-06-15 14:59:36 PDT
Tested 6-14-09 Win32 build.

After I launched Apprunner to create the profile, I put the following line under
"user_pref("nglayout.compatibility.mode", 1); "in the prefs50.js file.

   user_pref("nglayout.widget.mode", 2);

Then, I lanched Apprunner again to effect my change.
At this time, "Scheduling later attempt to set content window" error displays several times.
Apprunner will lanch, but Browser does not show anything.
Comment 1 mcmullen 1999-06-15 15:07:59 PDT
This is not a prefs bug, it looks like a widget set bug.
Comment 2 ramiro 1999-06-16 02:44:59 PDT
not for m7, sorry

marking m8 when gfx rendered widget will be official.
Comment 3 bobj 1999-06-16 17:57:59 PDT
Can this be fixed sooner than M8?
I18N functionality cannot be tested without the GFX text widgets.
E.g., submitting i18n text/textarea for forms, or entering i18n data for email
subjects.
I could use this pref in the 6/8 build -- but at that time buster had not
enabled text/textareas, so it only affected the other form widgets.
Comment 4 bobj 1999-06-16 18:27:59 PDT
According to Kat Momoi, even though the browser window is hung, he can open
up the messenger windows and he can type Japanese into the header fields.
Comment 5 Katsuhiko Momoi 1999-06-16 18:56:59 PDT
Yes, I can see Japanese input in mail headers text field, but this option
also disables any input in the mail body window. (The symptom is
the same as described in Bug 8124 which had been fixed. But with
this option on, the problem described there comes back.)
Also it is not very stable. It crashes when I try to send mail.
Comment 6 buster 1999-06-17 08:36:59 PDT
As announced on the news groups, gfx rendered widgets are not ready for any real
testing yet.  Please do not submit any bugs on gfx-rendered widgets until they
are officially turned on in M8.
Comment 7 bobj 1999-06-17 15:23:59 PDT
*** This bug has been marked as a duplicate of 8410 ***
Comment 8 leger 1999-06-21 17:44:59 PDT
Moving all Widget Set bugs, past and present, to new HTML Form Controls
component per request from karnaze.  Widget Set component will be retired
shortly.
Comment 9 Jay Patel [:jay] 1999-06-23 14:47:59 PDT
Verified Dup

Note You need to log in before you can comment on or make changes to this bug.